# Ksplice Uptrack API client library for Python
#
# Copyright (C) 2010 Ksplice, Inc.
#
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
#     http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

class UsageError(Exception):
    """Raised in response to a usage error by a caller of the API bindings."""
    pass

class UptrackError(Exception):
    """Raised in response to an error returned by the API."""
    def __init__(self, status, message):
        self.status = status
        super(UptrackError, self).__init__(message)

class AuthenticationError(UptrackError):
    pass
